Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85737 - Compiling for target == i686 only creates openssl package
Summary: Compiling for target == i686 only creates openssl package
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssl
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-06 18:34 UTC by Michael Lee Yohe
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-02-04 12:58:05 UTC


Attachments (Terms of Use)

Description Michael Lee Yohe 2003-03-06 18:34:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030102

Description of problem:
If building openssl from the source RPM (openssl-0.9.6b-31.src.rpm), you will
not get the openssl-devel or openssl-perl packages if you specify your target as
"i686".  You must not specify i686 as a target to get all three packages.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install the openssl-0.9.6b-31.src.rpm package.
2. Go to /usr/src/redhat/SPECS
3. rpmbuild -bb --target i686
    

Actual Results:  All packages are built (watch the output as it builds the man
pages for the openssl-devel package).  Only the openssl package, itself, is created.

Expected Results:  All three packages from the source RPM should be created.

Additional info:

This source RPM is the latest errata release for Red Hat Linux 8.0.

Comment 1 Tomas Mraz 2005-02-04 12:58:05 UTC
This should be fixed now.


Note You need to log in before you can comment on or make changes to this bug.